GeyserUpdater 1.5.0

Spigot/BungeeCord/Velocity plugin to update GeyserMC plugin

  1. Change download version

    konica
    This is a required field but I don't have anything productive to put in it so I am putting this useless text. I am sorry for wasting your time forcing you to read this.
Return to update list...